Bug 1128675 - missing crucial specfile changes
Summary: missing crucial specfile changes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Lukas Zachar
URL:
Whiteboard:
Depends On:
Blocks: 1081073 1125260
TreeView+ depends on / blocked
 
Reported: 2014-08-11 11:06 UTC by jiri vanek
Modified: 2015-12-02 16:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:22:53 UTC


Attachments (Terms of Use)

Description jiri vanek 2014-08-11 11:06:35 UTC
java-1.8.0-openjdk is becoming main JDK in f21, however the specfile is missisng some crucial links/alternative/fs  changes.

Those changes must be pushed, package built and changes must have effect (including jpackage tools) before any release.

People updating rawhide continuously will probably hate  us, but those changes really slipped from radar.

Work is already in progress.

Comment 1 Fedora Blocker Bugs Application 2014-08-11 11:09:16 UTC
Proposed as a Blocker for 21-final by Fedora user jvanek using the blocker tracking app because:

 If we introduce those changes after first release of package, it will be quite complicated for users to update.

Comment 2 Fedora Blocker Bugs Application 2014-08-11 13:08:40 UTC
Proposed as a Blocker for 21-alpha by Fedora user jvanek using the blocker tracking app because:

 If we introduce those changes after first release of package, it will be quite complicated for users to update.

Comment 7 Kamil Páral 2014-08-13 17:05:58 UTC
Discussed at the 2014-08-13 blocker review meeting:
http://meetbot.fedoraproject.org/fedora-blocker-review/2014-08-13/

Rejected as an Alpha blocker. Incomplete features don't block Alpha release. But please propose as an AlphaFreezeException if the required changes are not pushed before Alpha Change Deadline (which is probably going to get postponed a bit, the decision is still pending).

Comment 9 Adam Williamson 2014-12-04 23:50:14 UTC
Clearing blocker metadata. Does this need to be open any more?

Comment 10 Fedora End Of Life 2015-11-04 15:48:01 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-12-02 03:23:04 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.